Help Upgrading to Alsa 1.0.23

Questions about hardware,drivers and peripherals
Forum rules
Before you post please read how to get help
Post Reply
rowbird
Level 1
Level 1
Posts: 32
Joined: Tue Dec 01, 2009 12:28 pm

Help Upgrading to Alsa 1.0.23

Post by rowbird » Mon Sep 06, 2010 8:30 am

Hi all, I installed Mint 9 on an HP G62 laptop. The sound would only come out of the headphone jacks, and the mic jack worked, but the mic on top of the screen would not. I tried compiling the new driver but the download would fail citing some kind of server error. Isn't there an easier way to get this driver installed than compiling it from scratch? Thanks in advance.

remoulder
Level 17
Level 17
Posts: 7636
Joined: Fri May 09, 2008 1:14 pm
Contact:

Re: Help Upgrading to Alsa 1.0.23

Post by remoulder » Mon Sep 06, 2010 11:31 am

Code: Select all

apt install linux-backports-modules-alsa-lucid-generic
will install the latest alsa built by the ubuntu devs, anything newer you have to do yourself.
Last edited by remoulder on Mon Sep 06, 2010 5:26 pm, edited 1 time in total.
[Edit] your original post and add [SOLVED] once your question is resolved.

“The people are my God” stressing the factor determining man’s destiny lies within man not in anything outside man, and thereby defining man as the dominator and remoulder of the world.

Brian49
Level 5
Level 5
Posts: 611
Joined: Thu Oct 29, 2009 2:27 pm

Re: Help Upgrading to Alsa 1.0.23

Post by Brian49 » Mon Sep 06, 2010 3:35 pm

remoulder - is there a typo in your code, "backposts" for "backports"?

remoulder
Level 17
Level 17
Posts: 7636
Joined: Fri May 09, 2008 1:14 pm
Contact:

Re: Help Upgrading to Alsa 1.0.23

Post by remoulder » Mon Sep 06, 2010 5:26 pm

Thanks Brian
[Edit] your original post and add [SOLVED] once your question is resolved.

“The people are my God” stressing the factor determining man’s destiny lies within man not in anything outside man, and thereby defining man as the dominator and remoulder of the world.

torturedutopian
Level 1
Level 1
Posts: 18
Joined: Fri Sep 10, 2010 4:45 am
Location: France

Re: Help Upgrading to Alsa 1.0.23

Post by torturedutopian » Fri Sep 10, 2010 4:49 am

Hi !

I've just switched from Ubuntu Lucid Lynx to Mint Debian Edition :-)

It works pretty well :) I have just one issue : under Ubuntu I needed to install this "alsa backports package", otherwise, I couldn't mix several audio sources (pulse + alsa for instance). I couldn't find an equivalent to this "alsa backports".

What I wonder is : do I just have to wait for an ALSA update ? (because I remember I had to install this "backports" package for several releases, as if it wasn't applied to the next one)

Congrats guys & cheers !
(PS : what about a recurring paypal payment to fund Linux Mint ?)

Post Reply

Return to “Hardware Support”